<?php

namespace Modules\Fm\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Support\Facades\Auth;
use Spatie\Activitylog\Contracts\Activity;
use Spatie\Activitylog\Traits\LogsActivity;

class SupplierInvoiceData extends Model
{
    use HasFactory, LogsActivity;
    protected $table = 'fm_supplier_invoice_data';
    protected $primaryKey = 'internal_id';
    protected $fillable = [];
    protected static $logAttributes = [
        'supplier_invoice_data_id',
        'internal_id',
        'external_id',
        'product_id',
        'unit_id',
        'quantity',
        'price',
        'discount_id',
        'discount',
        'value',
    ];
    protected static $logOnlyDirty = true;
    public function tapActivity(Activity $activity, string $eventName)
    {
        $activity->log_name = "fm_supplier_invoice_data";
        $activity->description = $eventName;
        $activity->causer_id = Auth::user()->id;
    }

    /* protected static function newFactory()
    {
        return \Modules\Fm\Database\factories\SupplierInvoiceDataFactory::new();
    }*/
}
