var MR_ID = 0;
var MR_EXTERNAL_ID = 0;
$(document).ready(function () {

    $('#btnRetrieveGRN').on('click', function () {

        if ($('#txtSupplier').optionID() == undefined || $('#txtSupplier').optionID() == '' || $('#txtSupplier').val() == '') {
            showWarningMessage('Please select supplier.');
            return;
        }
        retrieveGrnHeader($('#txtSupplier').optionID());
    });




    $('#tblMrHeader tbody').on('click', 'tr', function () {
        $(this).addClass('selected').siblings().removeClass('selected');
        MR_ID = $(this).find('td:first').html();
        retrieveGrnData(MR_ID);
    });


    $('#btnGetDataMR').on('click', function () {
        $('#mrDataModal').modal('hide');
        //setSelectedGrnHeader(MR_ID);
        setSelectedGrn(MR_ID);
    });
});


function retrieveGrnHeader(id) {

    $.ajax({
        type: "GET",
        url: "/fm/SupplierInvoiceController/retrieveGrnHeader/" + id,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            if (response.data.success) {

                console.log(response);
                $('#tblBodyMrHeader').empty();
                for (i = 0; i < response.data.result.length; i++) {
                    var id = response.data.result[i]['internal_id'];
                    var refferance_id = response.data.result[i]['external_id'];
                    var date = response.data.result[i]['trans_date'];
                    var store = response.data.result[i]['store'];
                    var supplier = response.data.result[i]['supplier_name'];

                    var row = '<tr><td hidden>' + id + '</td>';
                    row += '<td>' + date + '</td>';
                    row += '<td>' + refferance_id + '</td>';
                    row += '<td>' + store + '</td>';
                    row += '<td>' + supplier + '</td></tr>';
                    $('#tblBodyMrHeader').append(row);

                }


            }
        },

        error: function (error) {
            console.log(error);


        },
        complete: function () {
            $('#mrDataModal').modal('show');
        }

    });

}




function retrieveGrnData(id) {

    $.ajax({
        type: "GET",
        url: "/fm/SupplierInvoiceController/retrieveGrnData/" + id,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            if (response.data.success) {

                console.log(response);
                $('#tblBopdyMrData').empty();
                for (i = 0; i < response.data.result.length; i++) {
                    var product_id = response.data.result[i]['product_id'];
                    var product_name = response.data.result[i]['product_name'];
                    var quantity = response.data.result[i]['quantity'];
                    var unit = response.data.result[i]['unit'];

                    var row = '<tr><td>' + product_id + '</td>';
                    row += '<td>' + product_name + '</td>';
                    row += '<td>' + quantity + '</td>';
                    row += '<td>' + unit + '</td></tr>';
                    $('#tblBopdyMrData').append(row);

                }


            }
        },

        error: function (error) {
            console.log(error);


        },
        complete: function () {
            $('#mrDataModal').modal('show');
        }

    });

}





function setSelectedGrnHeader(id) {

    $.ajax({
        type: "GET",
        url: "/fm/SupplierInvoiceController/setSelectedGrnHeader/" + id,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {
            progress(true);
        },
        success: function (response) {
            var res = response.data.result;
            console.log(res);
            $('#txtSupplier').val(res.supplier_name);
            $('#txtSupplier').attr('data-id', res.supplier_Id);
            $('#txtSupplierRefNo').val(res.supplier_ref_no);

        },
        error: function (error) {
            console.log(error);


        },
        complete: function () {
            progress(false);
        }

    });
}



function setSelectedGrn(id) {

    $.ajax({
        type: "GET",
        url: "/fm/SupplierInvoiceController/setSelectedGrn/" + id,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {
            progress(true);
        },
        success: function (response) {
            var res = response.data.result;
            console.log(res);
            GOODS_TRANSFER_ID = res.internal_id;
            MR_EXTERNAL_ID = res.external_id;
            tableData.clear();
            var request_data = res.data;
            for (var i = 0; i < request_data.length; i++) {
                tableData.addRow(
                    [
                        { 'type': 'hidden', 'val': request_data[i].grn_data_id, 'align': 'left', 'width': '100px' },
                        { 'type': 'hidden', 'val': request_data[i].internal_id, 'align': 'left', 'width': '100px' },
                        { 'type': 'hidden', 'val': request_data[i].external_id, 'align': 'left', 'width': '100px' },
                        { 'type': 'hidden', 'val': request_data[i].product_primary_id, 'align': 'left', 'width': '100px' },
                        { 'type': 'string', 'val': request_data[i].product_id, 'align': 'left', 'width': '100px' },
                        { 'type': 'text', 'val': request_data[i].product, 'align': 'left', 'width': '100%' },
                        {
                            'type': 'select', 'val': request_data[i].uom, 'align': 'left', 'width': '100px'
                        },
                        { 'type': 'text', 'val': request_data[i].quantity, 'align': 'right', 'width': '100px' },
                        { 'type': 'text', 'val': '', 'align': 'right', 'width': '100px' },
                        {
                            'type': 'select', 'val': [{ "value": 1, "text": "%" }, { "value": 2, "text": "Discount" }], 'align': 'left', 'width': '100px'
                        },
                        { 'type': 'text', 'val': '', 'align': 'right', 'width': '100px' },
                        { 'type': 'string', 'val': '', 'align': 'right', 'width': '100px' },
                        { 'type': 'remove', 'val': 'X', 'align': 'center', 'width': '50px' }]
                );
            }

        },
        error: function (error) {
            console.log(error);


        },
        complete: function () {
            progress(false);
        }

    });
}



