<?php

use Illuminate\Support\Facades\Route;
use Modules\Fm\Http\Controllers\SupplierInvoiceController;
use Modules\Fm\Http\Controllers\SupplierInvoiceListController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::prefix('fm')->group(function () {
    //oute::get('/', 'dashboard.blade@index');

    Route::get('/dashboard', function () {
        return view('fm::dashboard');
    })->middleware('is.logged');

    Route::get('/supplier_invoice', function () {
        return view('fm::supplier_invoice');
    })->middleware('is.logged');

    Route::get('/supplier_invoice_list', function () {
        return view('fm::supplier_invoice_list');
    })->middleware('is.logged');

    /** Supplier Invoice Controller */
    Route::get('/SupplierInvoiceController/referanceMaxID', [SupplierInvoiceController::class, 'referanceMaxID']);
    Route::get('/SupplierInvoiceController/allProduct', [SupplierInvoiceController::class, 'allProduct']);
    Route::get('/SupplierInvoiceController/allSuppliers', [SupplierInvoiceController::class, 'allSuppliers']);
    Route::post('/SupplierInvoiceController/save', [SupplierInvoiceController::class, 'save']);
    Route::post('/SupplierInvoiceController/uploadAttachment', [SupplierInvoiceController::class, 'uploadAttachment'])->name('/SupplierInvoiceController/uploadAttachment');
    Route::get('/SupplierInvoiceController/allAttachment/{id}/{token}', [SupplierInvoiceController::class, 'allAttachment']);

    Route::get('/SupplierInvoiceController/getSupplierInvoice/{id}', [SupplierInvoiceController::class, 'getSupplierInvoice']);
    Route::put('/SupplierInvoiceController/update/{id}', [SupplierInvoiceController::class, 'update']);
    Route::get('/SupplierInvoiceController/retrieveGrnHeader/{id}', [SupplierInvoiceController::class, 'retrieveGrnHeader']);
    Route::get('/SupplierInvoiceController/retrieveGrnData/{id}', [SupplierInvoiceController::class, 'retrieveGrnData']);
    Route::get('/SupplierInvoiceController/setSelectedGrnHeader/{id}', [SupplierInvoiceController::class, 'setSelectedGrnHeader']);
    Route::get('/SupplierInvoiceController/setSelectedGrn/{id}', [SupplierInvoiceController::class, 'setSelectedGrn']);

    Route::put('/SupplierInvoiceController/change_status/{id}', [SupplierInvoiceController::class, 'change_status']);
    /** End of Supplier Invoice Controller */



    /** Supplier Invoice List Controller */
    Route::get('/SupplierInvoiceListController/allSupplierInvoice', [SupplierInvoiceListController::class, 'allSupplierInvoice']);
    Route::get('/SupplierInvoiceListController/goodsReceivedReport/{id}', [SupplierInvoiceListController::class, 'goodsReceivedReport']);
    /** End of Supplier Invoice List Controller */});
